/*
AUTORE: Manuel Vichi
Lati di un triangolo
*/
#include <iostream>
#include <array>
#include <vector>
#include <cstdlib>
using namespace std;
bool isTriangle(int ab, int bc, int ca) {
	return ab + bc > ca && bc + ca > ab && ca + ab > bc;
}
int main() {
	int ab, bc, ca;
	/*
	cout << "Inserisci il primo lato: ";
	cin >> ab;
	cout << endl;
	cout << "Inserisci il secondo lato: ";
	cin >> bc;
	cout << endl;
	cout << "Inserisci il terzo lato: ";
	cin >> ca;
	cout << endl;
	*/
	cout << "Inserisci i lati del triangolo: ";
	cin >> ab >> bc >> ca;
	cout << endl;
	if (isTriangle(ab,bc,ca))
		cout << "Le misure date in input potrebbero corrispondere a misure dei lati di un eventuale triangolo." << endl;
	else
		cout << "Le misure date in input non possono corrispondere a misure dei lati di un triangolo." << endl;
    return 0;
}
